#### 3.15.3.7 thru

The thru function is provided for backward compatibility.

Syntax:

          plot 'file' thru f(x)

It is equivalent to:

          plot 'file' using 1:(f($2))

While the latter appears more complex, it is much more flexible. The more natural

          plot 'file' thru f(y)

also works (i.e. you can use y as the dummy variable).

thru is parsed for ‘splot‘ and fit but has no effect.